Lemma lookup REST API
Status: Closed Start date: 12/22/2012

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2   

Description

Create the API for provided lemma lookup information.

Subtasks:

Bug # 480: Make morphology lookups insenstive to browser differences Closed

Bug # 481: Make morphology lookups not dependent on case Closed

Bug # 482: Do not list spaces as words for morphology lookups Closed

Bug # 483: Do not include puncutation as part of in words for morphological lookups Closed

Task # 484: Set style of word morphology links Closed

History

#1 - 12/15/2012 10:23 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 12/20/2012 10:03 PM - Luke Murphey

- % Done changed from 0 to 60

#3 - 12/22/2012 05:17 AM - Luke Murphey

Some of these lookups are not succeeding. For example, κατὰ in "De bello Judaico libri vii" 2.4.3 (

http://127.0.0.1:8080/work/de-bello-judaico-libri-vii/2/4/3) does not find anything even though it is indeed defined (do a search in the admin for

prepositions, http://127.0.0.1:8080/admin/reader/worddescription/?q=down&part_of_speech__exact=5).

#4 - 12/22/2012 05:19 AM - Luke Murphey

I see the problem, the accents are different. Josephus has κατὰ but the index has κατά.

#5 - 12/22/2012 05:24 AM - Luke Murphey

I need to derive a better solution for querying the database such that the content is normalized. Both of the following should be treated as the same:

κατά

κατά

However, these are different queries to the database:

http://127.0.0.1:8080/api/word_parse/%CE%BA%CE%B1%CF%84%CE%AC

http://127.0.0.1:8080/api/word_parse/%CE%BA%CE%B1%CF%84%E1%BD%B1

#6 - 12/22/2012 06:50 PM - Luke Murphey
http://127.0.0.1:8080/work/de-bello-judaico-libri-vii/2/4/3
http://127.0.0.1:8080/admin/reader/worddescription/?q=down&part_of_speech__exact=5
http://127.0.0.1:8080/api/word_parse/%CE%BA%CE%B1%CF%84%CE%AC
http://127.0.0.1:8080/api/word_parse/%CE%BA%CE%B1%CF%84%E1%BD%B1


Normalizing worked. However, many words lookups are still failing; need to look into these. See ἐγὼ in De bello Judaico libri vii.

Also, some words get multiple entries that are identical. For example, a lookup on πρῶτα in the first chapter of De bello Judaico libri vii provides two

identical parses.

#7 - 12/22/2012 07:01 PM - Luke Murphey

Participles don't seem to be getting listed correctly too.

#8 - 12/22/2012 08:27 PM - Luke Murphey

Participles are fixed.

#9 - 12/22/2012 08:27 PM - Luke Murphey

- Status changed from In Progress to Closed

#10 - 12/27/2012 04:58 AM - Luke Murphey

- Assignee set to Luke Murphey
